/* generated javascript */
var skin = 'monobook';
var stylepath = 'http://bits.wikimedia.org/skins-1.5';

/* MediaWiki:Common.js */
/* Any JavaScript here will be loaded for all users on every page load. */

//<pre>
// BEGIN hasClass
// Description: Uses regular expressions and caching for better performance.
// Maintainers: User:Mike Dillon, User:R. Koot, User:SG

var hasClass = (function () {
    var reCache = {};
    return function (element, className) {
        return (reCache[className] ? reCache[className] : (reCache[className] = new RegExp("(?:\\s|^)" + className + "(?:\\s|$)"))).test(element.className);
    };
})();
// END hasClass

// Provides an easy way to disable unwanted load dependent features
function delOnloadHook(hookFunct) {
  for (var i = 0; i < onloadFuncts.length; i++) {
    if (onloadFuncts[i] == hookFunct)
      onloadFuncts.splice(i, 1);
  }
}

// Provides an easy way to import additional scripts local to the wiki
function import_script(name)
{
  name = encodeURIComponent(name);
  document.write('<script type="text/javascript" src="/w/index.php?title=' + name + '&action=raw&ctype=text/javascript"><\/script>');
}

import_script("MediaWiki:Navigation.js");  // collapsible tables and dynamic navigation
import_script("MediaWiki:ExtraTabs.js");   // additional tabs for the toolbox
import_script("MediaWiki:EditToolbar.js"); // additional edit tools
import_script("MediaWiki:Displayname.js"); // change the namespace tab and the display title
import_script("MediaWiki:Tables.js");      // change style of some tables

 /** Add dismiss button to watchlist-message *************************************
  *
  *  Description: Hide the watchlist message for one week.
  *  Maintainers: [[w:User:Ruud Koot|Ruud Koot]]
  */
 
 function addDismissButton() {
    var watchlistMessage = document.getElementById("watchlist-message");
    if ( watchlistMessage == null ) return;
    
    if ( document.cookie.indexOf( "hidewatchlistmessage=yes" ) != -1 ) {
        watchlistMessage.style.display = "none";
    }
    
    var Button     = document.createElement( "span" );
    var ButtonLink = document.createElement( "a" );
    var ButtonText = document.createTextNode( "dismiss" );
    
    ButtonLink.setAttribute( "id", "dismissButton" );
    ButtonLink.setAttribute( "href", "javascript:dismissWatchlistMessage();" );
    ButtonLink.setAttribute( "title", "Hide this message for one week" );
    ButtonLink.appendChild( ButtonText );
    
    Button.appendChild( document.createTextNode( "[" ) );
    Button.appendChild( ButtonLink );
    Button.appendChild( document.createTextNode( "]" ) );
    
    watchlistMessage.appendChild( Button );
 }
 
 function dismissWatchlistMessage() {
     var e = new Date();
     e.setTime( e.getTime() + (7*24*60*60*1000) );
     document.cookie = "hidewatchlistmessage=yes; expires=" + e.toGMTString() + "; path=/";
     var watchlistMessage = document.getElementById("watchlist-message");
     watchlistMessage.style.display = "none";
 }
 
 addOnloadHook( addDismissButton );

//</pre>

/* MediaWiki:Monobook.js */
// <pre><nowiki>
 /* tooltips and access keys */
 var ta = new Object();
 ta['pt-userpage'] = new Array('.','My user page');
 ta['pt-anonuserpage'] = new Array('.','The user page for the ip you\'re editing as');
 ta['pt-mytalk'] = new Array('n','My talk page');
 ta['pt-anontalk'] = new Array('n','Discussion about edits from this ip address');
 ta['pt-preferences'] = new Array('','My preferences');
 ta['pt-watchlist'] = new Array('l','The list of pages you\'re monitoring for changes.');
 ta['pt-mycontris'] = new Array('y','List of my contributions');
 ta['pt-login'] = new Array('o','You are encouraged to log in, it is not mandatory however.');
 ta['pt-anonlogin'] = new Array('o','You are encouraged to log in, it is not mandatory however.');
 ta['pt-logout'] = new Array('o','Log out');
 ta['ca-talk'] = new Array('t','Discussion about the content page');
 ta['ca-edit'] = new Array('e','You can edit this page. Please use the preview button before saving.');
 ta['ca-addsection'] = new Array('+','Add a comment to this discussion.');
 ta['ca-viewsource'] = new Array('e','This page is protected. You can view its source.');
 ta['ca-history'] = new Array('h','Past versions of this page.');
 ta['ca-protect'] = new Array('=','Protect this page');
 ta['ca-delete'] = new Array('d','Delete this page');
 ta['ca-undelete'] = new Array('d','Restore the edits done to this page before it was deleted');
 ta['ca-move'] = new Array('m','Move this page');
 ta['ca-watch'] = new Array('w','Add this page to your watchlist');
 ta['ca-unwatch'] = new Array('w','Remove this page from your watchlist');
 ta['search'] = new Array('f','Search this wiki');
 ta['p-logo'] = new Array('','Main Page');
 ta['n-mainpage'] = new Array('z','Visit the Main Page');
 ta['n-portal'] = new Array('','About the project, what you can do, where to find things');
 ta['n-currentevents'] = new Array('','Find background information on current events');
 ta['n-recentchanges'] = new Array('r','The list of recent changes in the wiki.');
 ta['n-randompage'] = new Array('x','Load a random page');
 ta['n-help'] = new Array('','The place to find out.');
 ta['n-sitesupport'] = new Array('','Support us');
 ta['t-whatlinkshere'] = new Array('j','List of all wiki pages that link here');
 ta['t-recentchangeslinked'] = new Array('k','Recent changes in pages linked from this page');
 ta['feed-rss'] = new Array('','RSS feed for this page');
 ta['feed-atom'] = new Array('','Atom feed for this page');
 ta['t-contributions'] = new Array('','View the list of contributions of this user');
 ta['t-emailuser'] = new Array('','Send a mail to this user');
 ta['t-upload'] = new Array('u','Upload images or media files');
 ta['t-specialpages'] = new Array('q','List of all special pages');
 ta['ca-nstab-main'] = new Array('c','View the content page');
 ta['ca-nstab-user'] = new Array('c','View the user page');
 ta['ca-nstab-media'] = new Array('c','View the media page');
 ta['ca-nstab-special'] = new Array('','This is a special page, you can\'t edit the page itself.');
 ta['ca-nstab-project'] = new Array('a','View the project page');
 ta['ca-nstab-image'] = new Array('c','View the image page');
 ta['ca-nstab-mediawiki'] = new Array('c','View the system message');
 ta['ca-nstab-template'] = new Array('c','View the template');
 ta['ca-nstab-help'] = new Array('c','View the help page');
 ta['ca-nstab-category'] = new Array('c','View the category page');
 
 /*
 * moveEditsection
 * This script moves the section edit links from the right edge of the page
 * to the right edge of the heading. (Imported from German Wikipedia)
 *
 * This functionality can be disabled by adding the following line without the
 * asteriks to your custom monobook.js (located under [[User:Username/monobook.js]]):
 * var oldEditsectionLinks = true;
 */
 function moveEditsection() {
   if (typeof oldEditsectionLinks == 'undefined' || oldEditsectionLinks == false) {
     var spans = document.getElementsByTagName("span");
     for (var i = 0; i < spans.length; i++) {
       if (spans[i].className == "editsection") {
         spans[i].style.fontSize = "x-small";
         spans[i].style.fontWeight = "normal";
         spans[i].style.cssFloat = "none";
         spans[i].style.marginLeft = "0px";
         spans[i].parentNode.appendChild(document.createTextNode(" "));
         spans[i].parentNode.appendChild(spans[i]);
       }
     }
   }
 } // onload
 
 addOnloadHook(moveEditsection);
 
 // END Moving of the editsection links
 // ============================================================
 
 // ============================================================
 // BEGIN pageview counter
 // 	Please talk to de:User:LeonWeber before changing anything or 
 // 	if there are any issues with that.
 
 // this should be adjusted to a good value.
 // BE CAREFULL, you will break zedler if it's too low!
 // And then DaB. will kill Leon :-(
 var disable_counter = 0;
 var counter_factor = 3; // let's see if we can decrease it
 
 function pgcounter_setup()
 {
   if(disable_counter == 0)
   {
     var url = window.location.href;
     if (Math.floor(Math.random()*counter_factor)==2)  // the probability thing
     {
       if (wgIsArticle==true) // do not count history pages etc.
       {
         var pgcountNs = wgCanonicalNamespace;
         if (wgCanonicalNamespace=="")
           pgcountNs = "0";
         var cnt_url = "http://pgcount.wikimedia.de/index.png?ns=" + pgcountNs + "&title=" + encodeURI(wgTitle) + "&factor=" + counter_factor +"&wiki=enwikiversity";
         var img = new Image(); 
         img.src = cnt_url;
       }
     }
   }
 }
 // Do not use aOnloadFunctions[aOnloadFunctions.length] = pgcounter_setup;, some browsers don't like that.
 pgcounter_setup();
 
 // END pageview counter 
 // ============================================================
 // </nowiki></pre>