/** CSS placed here will be applied to all skins */
 /* <pre><nowiki> */

/* The following id's are disabled because they are skin dependent. They should be enabled separately for each skin. */
#shortcut { display: none; }

/* make the list of references look smaller */
ol.references { font-size:100%; }
.references-small { font-size: 90%; }

.same-bg { background: none }

/* wikitable/prettytable class for skinning normal tables */

table.wikitable, table.prettytable { margin:1em 1em 1em 0em; background:#f9f9f9; border:1px #aaaaaa solid; border-collapse:collapse; }
table.wikitable th, table.wikitable td, table.prettytable th, table.prettytable td { border:1px #aaaaaa solid; padding:0.2em; }
table.wikitable th, table.prettytable th { background:#f2f2f2; text-align:center; }
table.wikitable caption, table.prettytable caption { margin-left:inherit; margin-right:inherit; }

table.table { border-spacing:0em 0.5em; }
table.table tr>td { padding:0.25em 1em; }
table.table tr.even { background:#ddddff; }
table.table tr.odd { background:#ccccff; }

/* Style for "notices" */
.notice { text-align: justify; margin:1em; padding:0.2em; }

#disambig { border-top:3px double #cccccc; border-bottom:3px double #cccccc; }
#spoiler { border-top:2px solid #ddd; border-bottom:2px solid #ddd; }

/* Standard talk template style */

.Talk-Notice  {
  border: 1px solid #C0C090;
  background-color: #F8EABA;
  margin-bottom: 3px;
  width: 85%;
  border-spacing: 3px;
  margin-left: auto;
  margin-right: auto;
}


/* Make template background appear correctly on all browsers */
.Talk-Notice td { background: inherit; }

/* Metadata */
table.metadata { border:1px solid #aaaaaa; display:none; speak:none; }
.metadata-label { color:#aaaaaa; }

/* Makes redirects appear in italics on [[Special:Allpages]] */
.allpagesredirect { font-style: italic; }

/* Choose whether to have AD/BC dates or CE/BCE dates*/

/* First, the default : display both : See templates ADCE and BCEBC for how these are used*/
.Use_Default_Date_Convention { display: inline; }
.Use_AD_and_BC { display: none; }
.Use_BCE_and_CE { display: none; }

/* If you want to display AD and BC add the following to User:You/monobook.css page */
/*
.Use_Default_Date_Convention { display: none; }
.Use_AD_and_BC { display:inline; }
.Use_BCE_and_CE { display:none; }
*/

/*If you want to display CE and BCE add the following to User:You/monobook.css page */
/*
.Use_Default_Date_Convention { display: none; }
.Use_AD_and_BC { display:none; }
.Use_BCE_and_CE {display:inline; }
*/

/* Class for links with loudspeaker icon next to them */

.audiolink a{
    background: url("http://upload.wikimedia.org/wikipedia/commons/thumb/8/8a/Loudspeaker.svg/11px-Loudspeaker.svg.png") center left no-repeat !important;
    padding-left: 16px !important;
    padding-right: 0 !important;
}

/* Icons for medialist templates [[Template:Listen]], [[Template:Multi-listen_start]], [[Template:Video]], [[Template:Multi-video_start]] */

div.listenlist {
    background: url("http://upload.wikimedia.org/wikipedia/commons/thumb/a/a6/Gnome-speakernotes.png/30px-Gnome-speakernotes.png");
    padding-left: 40px;
}

div.videolist, div.multivideolist {
    background: url("http://upload.wikimedia.org/wikipedia/en/thumb/2/20/Tango-video-x-generic.png/40px-Tango-video-x-generic.png");
    padding-left: 50px;
}

/* Style rules for media list templates */
div.medialist { min-height:50px; margin:1em; background-position:top left; background-repeat:no-repeat; }
div.medialist ul { list-style:none; margin:0em; }
div.medialist ul li { padding-bottom:0.5em; }
div.medialist ul li li { font-size: 91%; padding-bottom:0em; }

/* Content in columns with CSS instead of tables [[Template:Columns]] */
div.columns-2 div.column { float:left; width:50%; min-width:300px; }
div.columns-3 div.column { float:left; width:33%; min-width:200px; }
div.columns-4 div.column { float:left; width:25%; min-width:150px; }
div.columns-5 div.column { float:left; width:20%; min-width:120px; }

/*
   Add formating to make sure that "external references" from [[Template:Ref]] do
   not get URL expansion, not even when printed.

   The mechanism up to MediaWiki 1.4 was that the "urlexpansion" class was only
   displayed when the medium was "print":
     <a href="#anchor"></a><span class="urlexpansion">...</span>

   With MediaWiki 1.5, the mechanism changed to:
     <a href="#anchor" class="external autonumber">...</a>
   and the expansion is inserted when printing using the ":after" pseudo-element.
   We have to switch this off for links due to Template:Ref!
   
   The rules below ensure (a) that there is no extra padding to the right of
   the anchor (displayed as "[<number>]"), (b) that there is no "external link arrow"
   for the link, and (c) that this SPAN of class "urlexpansion" is never shown.
 */

.plainlinksneverexpand { background: none ! important; padding: 0 ! important; }
.plainlinksneverexpand .urlexpansion { display: none ! important; }

/* Make sure that ext links displayed within "plainlinksneverexpand" don't get the arrow... */
.plainlinksneverexpand a { background: none !important; padding: 0 !important; }
.plainlinksneverexpand a.external.text:after { display: none !important; }
.plainlinksneverexpand a.external.autonumber:after { display: none !important; }

/* Messagebox templates */

.messagebox { border:1px solid #aaaaaa; background-color:#f9f9f9; width:80%; margin:0em auto 1em auto; padding:0.2em; text-align:justify; }
.messagebox.merge { border:1px solid #c0b8cc; background-color:#f0e5ff; text-align:center; }
.messagebox.cleanup { border:1px solid #9f9fff; background-color:#efefff; text-align:center; }
.messagebox.standard-talk { border:1px solid #c0c090; background-color:#f8eaba; }

/* Infobox template style */

.infobox { border:1px solid #aaaaaa; background-color:#f9f9f9; margin:0.5em 0em 0.5em 1em; padding:0.2em; float:right; clear:right; }
.infobox td, .infobox th { vertical-align:top; }
.infobox caption { font-size:larger; margin-left:inherit; }
.infobox.bordered { border-collapse:collapse; }
.infobox.bordered td, .infobox.bordered th { border:1px solid #aaaaaa; }
.infobox.bordered .borderless td, .infobox.bordered .borderless th { border:0px; }

.infobox.sisterproject { width:20em; font-size:90%; }

/* styles for bordered infobox with merged rows */
.infobox.bordered .mergedtoprow td, .infobox.bordered .mergedtoprow th { border:0px; border-top:1px solid #aaaaaa; border-right:1px solid #aaaaaa; }
.infobox.bordered .mergedrow td, .infobox.bordered .mergedrow th { border:0px; border-right:1px solid #aaaaaa; }

/* Put a checker background at the image description page only visible if the image has transparent background */
#file img {background: url("http://upload.wikimedia.org/wikipedia/commons/5/5d/Checker-16x16.png") repeat;}

/* Support for Template:IPA, Template:Unicode and Template:Polytonic. The inherit declaration resets the font for all browsers except MSIE6.  The empty comment must remain. Please copy any changes to [[Template:IPA fonts]] and [[Template:Unicode fonts]]. */
.IPA {
        font-family: Chrysanthi Unicode, Doulos SIL, Gentium, GentiumAlt, Code2000, TITUS Cyberbit Basic, DejaVu Sans, Bitstream Cyberbit, Arial Unicode MS, Lucida Sans Unicode, Hiragino Kaku Gothic Pro, Matrix Unicode;
        font-family /**/:inherit;
}
.Unicode {
        font-family: TITUS Cyberbit Basic, Code2000, Doulos SIL, Chrysanthi Unicode, Bitstream Cyberbit, Bitstream CyberBase, Thryomanes, Gentium, GentiumAlt, Visual Geez Unicode, Lucida Grande, Arial Unicode MS, Microsoft Sans Serif, Lucida Sans Unicode;
        font-family /**/:inherit;
}
.latinx {
        font-family: TITUS Cyberbit Basic, Code2000, Microsoft Sans Serif;
        font-family /**/:inherit;
}
.polytonic {
        font-family: Athena, Gentium, Palatino Linotype, Arial Unicode MS, Lucida Sans Unicode, Lucida Grande, Code2000; 
        font-family /**/:inherit;
}
.mufi {
        font-family: Alphabetum, Cardo, LeedsUni, Junicode, TITUS Cyberbit Basic, ALPHA-Demo;
}

#wpSave { font-weight: bold; }

/* Removes underlines from links */
.nounderlines a { text-decoration:none; }

/* Removes useless links from printout */
@media print {
    #privacy, #about, #disclaimer {display:none;}
}

/* Suppresses text by default */
.sysop { display: none }

/*
 * Standard color definitions for borders and backgrounds
 * These colors assume a dark font on a light background. For
 * skins that are based on different contrast arrangements,
 * these CSS classes should be overwritten with appropriate values.
 */

.bordercolor1 { border-color:#aaaaaa; border-width:1px; } /* like TOC */
.bordercolor2 { border-color:#e9e9e9; border-width:1px; } /* barely noticeable, weak contrast */
.bordercolor3 { border-color:#c00000; border-width:1px; } /* "Red", noticeable */
.bordercolor4 { border-color:#8888aa; border-width:1px; } /* neutral color, noticeable */
.bordercolor5 { border-color:#000000; border-width:1px; } /* "Black", strong contrast */

.backgroundcolor1 { background-color:#f9f9f9; } /* like TOC */
.backgroundcolor2 { background-color:#ffffff; } /* "White", for non-article pages, neutral */
.backgroundcolor3 { background-color:#ffff40; } /* "Yellow", noticeable */
.backgroundcolor4 { background-color:#ffaa00; } /* very noticeable */
.backgroundcolor5 { background-color:#e0e0e0; } /* neutral, distinct */
.backgroundcolor6 { background-color:#b3b7ff; } /* generally "colorful", for contrast and distinction */
.backgroundcolor7 { background-color:#ffcbcb; } /* generally "colorful", for contrast and distinction */
.backgroundcolor8 { background-color:#ffebad; } /* generally "colorful", for contrast and distinction */
.backgroundcolor9 { background-color:#b9ffc5; } /* generally "colorful", for contrast and distinction */

/* License tag designs */
.license1 { clear:both; margin:0.5em auto; background-color:#F0FFF0; border:3px solid #E0EEE0; width:80%; }
.license2 { clear:both; margin:0.5em auto; background-color:#B4EEB4; border:3px solid #9BCD9B; width:80%; }
.license3 { clear:both; margin:0.5em auto; background-color:#FFDDDD; border:3px solid #DD0000; width:100%; }
.license4 { clear:both; margin:0.5em auto; background-color:#f9f9f9; border:3px solid #e9e9e9; width:80%; }
.license5 { clear:both; margin:0.5em auto; background-color:#EDF4FF; border:3px solid #A2B5CD; width:80%; }
.license1 *, .license2 *, .license3 *, .license4 *, .license5 * { border: none; }

/* Navigation templates */

div.Boxmerge,
div.NavFrame { margin:0px; padding:4px; border:1px solid #aaaaaa; text-align:center; border-collapse:collapse; font-size:95%; }
div.Boxmerge div.NavFrame { border-style:none; border-style:hidden; }
div.NavFrame + div.NavFrame { border-top:0px; }
div.NavPic { background-color:#ffffff; margin:0em; padding:2px; float:left; }
div.NavFrame div.NavHead { height:1.6em; font-weight:bold; background-color:#ccccff; position:relative; }
div.NavFrame div.NavHead:hover { background-color:#aaaaff; }
div.NavFrame p { font-size:100%; }
div.NavFrame div.NavContent { font-size:100%; }
div.NavFrame div.NavContent p { font-size:100%; }
div.NavEnd { margin:0px; padding:0px; line-height:1px; clear:both; }
a.NavToggle { position:absolute; top:0px; right:3px; font-weight:normal; font-size:smaller; }

/* source code formatting */
.source-vb .kw1 {color: #000066 !important }

/* Footer and header message box styles */
table.fmbox { clear:both; margin:0.2em 0em; width:100%; border:1px solid #aaaaaa; background:#f9f9f9; }
table.fmbox-system { background:#f9f9f9; }
table.fmbox-warning { border: 1px solid #bb7070; background: #ffdbdb; } /* Dark pink, Pink */
table.fmbox-editnotice { background: transparent; }

/* Div based "warning" style fmbox messages. */
div.mw-warning-with-logexcerpt, div.mw-lag-warn-high, div.mw-cascadeprotectedwarning, div#mw-protect-cascadeon {
  clear:both; margin: 0.2em 0em; border:1px solid #bb7070; background:#ffdbdb; padding:0.25em 0.9em;
}

/* Div based "system" style fmbox messages. Used in [[MediaWiki:Noarticletext]] and [[MediaWiki:Readonly lag]]. */
div.mw-lag-warn-normal, div.noarticletext, div.fmbox-system {
  clear:both; margin:0.2em 0em; border:1px solid #aaaaaa; background:#f9f9f9; padding:0.25em 0.9em;
}

/* Cell sizes for ambox/tmbox/imbox/cmbox/ombox/fmbox/dmbox message boxes */
th.mbox-text, td.mbox-text {     /* The message body cell(s) */
    border: none; 
    padding: 0.25em 0.9em;       /* 0.9em left/right */
    width: 100%;    /* Make all mboxes the same width regardless of text length */
}
td.mbox-image {                  /* The left image cell */
    border: none; 
    padding: 2px 0 2px 0.9em;    /* 0.9em left, 0px right */
    text-align: center; 
}
td.mbox-imageright {             /* The right image cell */
    border: none;
    padding: 2px 0.9em 2px 0;    /* 0px left, 0.9em right */
    text-align: center; 
}
td.mbox-empty-cell {         /* An empty narrow cell */
    border: none;
    padding: 0px;
    width: 1px;
}


/* Talk page message box styles */
table.tmbox {
    margin: 4px 10%;
    border-collapse: collapse;
    border: 1px solid #c0c090;    /* Default "notice" gray-brown */
    background: #f8eaba;
}
.mediawiki .mbox-inside .tmbox { /* For tmboxes inside other templates. The "mediawiki" */
    margin: 2px 0;               /* class ensures that this declaration overrides other */
    width: 100%;  /* For Safari and Opera */     /* styles (including mbox-small above) */
}
.mbox-inside .tmbox.mbox-small { /* "small" tmboxes should not be small when  */
    line-height: 1.5em;          /* also "nested", so reset styles that are   */   
    font-size: 100%;             /* set in "mbox-small" above.                */
}
 
table.tmbox-speedy {
    border: 2px solid #b22222;    /* Red */
    background: #fee;             /* Pink */
}
table.tmbox-delete {
    border: 2px solid #b22222;    /* Red */
}
table.tmbox-content {
    border: 2px solid #f28500;    /* Orange */
}
table.tmbox-style {
    border: 2px solid #f4c430;    /* Yellow */
}
table.tmbox-move {
    border: 2px solid #9932cc;    /* Purple */
}
table.tmbox-protection,
table.tmbox-notice {
    border: 1px solid #c0c090;    /* Gray-brown */
}


/*</nowiki></pre>*/